﻿using System;
using System.Data;
using System.Web.UI;

namespace TestWddCheckbox
{
	public partial class _Default : Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				var dt = new DataTable();

				dt.Columns.Add("Id", typeof(int));
				dt.Columns.Add("Name", typeof(string));

				dt.Rows.Add(new object[] { 1, "Fred" });
				dt.Rows.Add(new object[] { 2, "Barney" });
				dt.Rows.Add(new object[] { 3, "Wilma" });
				dt.Rows.Add(new object[] { 4, "Betty" });

				wddTest.ValueField = "Id";
				wddTest.TextField = "Name";
				wddTest.DataSource = dt.DefaultView;
				wddTest.DataBind();

				wddTest.CurrentValue = string.Empty;
			}
		}
	}
}
